Wireshark ASN.1 BER解析器拒绝服务漏洞(CVE-2014-5165)

企鹅博客
企鹅博客
企鹅博客
29829
文章
0
评论
2020年9月13日17:56:50 评论 10 views 930字阅读3分6秒

发布日期:2014-08-01
更新日期:2014-08-04

受影响系统:
Wireshark Wireshark < 1.10.9
描述:
--------------------------------------------------------------------------------
BUGTRAQ  ID: 69000
 CVE(CAN) ID: CVE-2014-5165
 
Wireshark是最流行的网络协议解析器。
 
Wireshark 1.10.0 - 1.10.8版本的ASN.1 BER解析器中,epan/dissectors/packet-ber.c内的函数dissect_ber_constrained_bitstring没有正确验证填充值,这可使远程攻击者通过特制的数据包造成拒绝服务(缓冲区下溢和应用崩溃)。

网络抓包工具Wireshark的简单使用 http:///Linux/2013-05/84174.htm

Ubuntu 12.04 下安装Wireshark http:///Linux/2012-06/63582.htm

Linux中从普通用户启动Wireshark抓包 http:///Linux/2012-06/63580.htm
 
<*来源:Buildbot Builder ([email protected]
  *>

建议:
--------------------------------------------------------------------------------
厂商补丁:
 
Wireshark
 ---------
 目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
 
http://www.wireshark.org/security/wnpa-sec-2014-11.html
 https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10187
 https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=17a552666b50896a9b9dde8ee6a1052e7f9a622e

继续阅读
weinxin
欢迎加入中国站长博客之家
本站的所有资源都会上传分享到博客之家,希望大家互相学习交流进步。
匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: